共用方式為


Server Keys - Get

取得伺服器金鑰。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/keys/{keyName}?api-version=2025-01-01

URI 參數

名稱 位於 必要 類型 Description
keyName
path True

string

要擷取的伺服器金鑰名稱。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

serverName
path True

string

伺服器的名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

ServerKey

Azure 運作順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Get the server key
Get the server key with versionless key

Get the server key

範例要求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901?api-version=2025-01-01

範例回覆

{
  "name": "sqlcrudtest-4645",
  "type": "Microsoft.Sql/servers/keys",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901",
  "kind": "azurekeyvault",
  "location": "Japan East",
  "properties": {
    "serverKeyType": "AzureKeyVault",
    "creationDate": "2024-11-15T00:00:00Z",
    "thumbprint": "00112233445566778899AABBCCDDEEFFAABBCCDD"
  }
}

Get the server key with versionless key

範例要求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey?api-version=2025-01-01

範例回覆

{
  "name": "sqlcrudtest-4645",
  "type": "Microsoft.Sql/servers/keys",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901",
  "kind": "azurekeyvault",
  "location": "Japan East",
  "properties": {
    "serverKeyType": "AzureKeyVault",
    "creationDate": "2024-11-15T00:00:00Z",
    "keyVersion": "01234567890123456789012345678901",
    "thumbprint": "00112233445566778899AABBCCDDEEFFAABBCCDD"
  }
}

定義

名稱 Description
createdByType

建立資源的身分識別類型。

ErrorAdditionalInfo

資源管理錯誤附加資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

錯誤回應

ServerKey

伺服器金鑰。

ServerKeyType

加密保護裝置類型,例如 'ServiceManaged'、'AzureKeyVault'。

systemData

與建立和上次修改資源相關的元數據。

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

資源管理錯誤附加資訊。

名稱 類型 Description
info

object

附加資訊。

type

string

其他資訊類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

錯誤物件。

ServerKey

伺服器金鑰。

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

kind

string

加密保護裝置的種類。 這是用於 Azure 入口網站體驗的元資料。

location

string

資源位置。

name

string

資源的名稱

properties.autoRotationEnabled

boolean

金鑰自動輪替選擇加入旗標。 True 或 false。

properties.creationDate

string (date-time)

伺服器金鑰建立日期。

properties.keyVersion

string

伺服器金鑰的版本。

properties.serverKeyType

ServerKeyType

伺服器密鑰類型,例如 'ServiceManaged'、'AzureKeyVault'。

properties.subregion

string

伺服器索引鍵的子區域。

properties.thumbprint

string

伺服器金鑰的指紋。

properties.uri

string

伺服器金鑰的 URI。 如果 ServerKeyType 是 AzureKeyVault,則需要 URI。 AKV URI 必須採用以下格式:“https://YourVaultName.vault.azure.net/keys/YourKeyName/YourKeyVersion”或可以是“https://YourVaultName.vault.azure.net/keys/YourKeyName”

systemData

systemData

Azure Resource Manager 包含 createdBy 與 modifiedBy 資訊的元資料。

type

string

資源的類型。 例如:「Microsoft。運算/虛擬機器」或「Microsoft」。儲存/儲存帳號」

ServerKeyType

加密保護裝置類型,例如 'ServiceManaged'、'AzureKeyVault'。

Description
ServiceManaged

ServiceManaged

AzureKeyVault

AzureKeyVault

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

資源上次修改的時間戳記 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。